Skip to main content
GET
/
api
/
v1
/
webhooks
/
endpoints
/
{endpoint_id}
/
attempts
List Endpoint Attempts
curl --request GET \
  --url https://api.example.com/api/v1/webhooks/endpoints/{endpoint_id}/attempts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/webhooks/endpoints/{endpoint_id}/attempts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/webhooks/endpoints/{endpoint_id}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "endpointId": "<string>",
      "msgId": "<string>",
      "url": "<string>",
      "response": "<string>",
      "responseStatusCode": 123,
      "responseDurationMs": 123,
      "status": 123,
      "triggerType": 123,
      "timestamp": "<string>",
      "statusText": "<string>",
      "msg": {
        "id": "<string>",
        "eventType": "<string>",
        "timestamp": "<string>",
        "eventId": "<string>",
        "channels": [
          "<string>"
        ],
        "tags": [
          "<string>"
        ],
        "payload": {}
      }
    }
  ],
  "done": true,
  "iterator": "<string>",
  "prevIterator": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

endpoint_id
string
required

Query Parameters

limit
integer
default:50

Items per page.

Required range: 1 <= x <= 250
iterator
string | null

Cursor from the previous page's iterator field.

before
string<date-time> | null

Only attempts created before this timestamp.

after
string<date-time> | null

Only attempts created after this timestamp.

status
integer | null

Filter by status: 0=success, 1=pending, 2=failed, 3=sending.

event_types
string[] | null

Filter by event type(s).

Response

Successful Response

data
WebhookMessageAttemptResponse · object[]
required
done
boolean
required

True when this is the last page.

iterator
string | null

Pass as iterator in the next request to fetch the following page.

prevIterator
string | null